"use strict";

const errors = require("../errors");

module.exports = function requireAccessToken(req, res, next) {
	if (req.matrixAccessToken == null) {
		throw new errors.UnauthorizedError("An access token is required, but none was provided", {
			errorCode: "M_MISSING_TOKEN"
		});
	}
};